Skip to main content
POST
/
agents
/
{agentId}
/
accounts
/
oauth
/
authorize
Start per-account OAuth flow
curl --request POST \
  --url https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirectUri": "<string>",
  "accountIdentifier": "<string>"
}
'
{
  "authorizationUrl": "<string>",
  "agentId": "<string>",
  "agentName": "<string>"
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

agentId
string
required
Minimum string length: 1

Body

application/json
redirectUri
string<uri>

Override the OAuth redirect URI

Maximum string length: 2048
accountIdentifier
string

Account identifier for the OAuth flow

Response

Start per-account OAuth flow

Response containing OAuth authorization URL

authorizationUrl
string<uri>
required

URL to redirect the user to for OAuth authorization

agentId
string
required

Agent identifier

agentName
string
required

Agent display name